org.apache.avro.generic

## Interface GenericContainer

All Known Subinterfaces:
  GenericArray<T>, GenericEnumSymbol<E>, GenericFixed, GenericRecord, IndexedRecord, SpecificRecord

All Known Implementing Classes:
  GenericData.Array, GenericData.EnumSymbol, GenericData.Fixed, GenericData.Record, SpecificExceptionBase, SpecificFixed, SpecificRecordBase

    public interface GenericContainer

Contains data of other types.

### Method Summary

All Methods Instance Methods Abstract Methods
`Schema` `getSchema()` The schema of this instance.

### Method Detail

#### getSchema

    Schema getSchema()

The schema of this instance.